/*------------------------------------------------*/
/*	Chart
/*------------------------------------------------*/

/* value label */
.valueLabels {
    font-size: 70%;
    color: black;
}

div.valueLabelLight {
    opacity: 0.5;
    background-color: white;
    border: none;
    position: absolute;
}

div.valueLabel {
    position: absolute;
    border: none;
}

/* easy pie chart */
.easy-pie-chart {
    position: relative;
    width: 110px;
    margin: 0 auto;
    margin-bottom: 15px;
    text-align: center;
}

    .easy-pie-chart canvas {
        position: absolute;
        top: 0;
        left: 0;
    }

    .easy-pie-chart .percent {
        display: -moz-inline-stack;
        display: inline-block;
        vertical-align: middle;
        *vertical-align: auto;
        zoom: 1;
        *display: inline;
        line-height: 110px;
        z-index: 2;
    }

        .easy-pie-chart .percent:after {
            content: '%';
            margin-left: 0.1em;
            font-size: .8em;
        }

    .easy-pie-chart .quantidade {
        display: -moz-inline-stack;
        display: inline-block;
        vertical-align: middle;
        *vertical-align: auto;
        zoom: 1;
        *display: inline;
        line-height: 110px;
        z-index: 2;
    }

        .easy-pie-chart .quantidade:after {
            margin-left: 0.1em;
            font-size: .8em;
        }

/* chart navigation */
.chart-nav {
    margin-bottom: 40px;
}

@media screen and (max-width: 480px) {
    .chart-nav strong {
        display: block;
    }
}

.chart-nav ul {
    list-style-type: none;
    border-bottom: none;
    margin-bottom: 30px;
}

    .chart-nav ul, .chart-nav ul li {
        margin: 0px;
        padding: 0px;
        display: inline;
    }

        .chart-nav ul li a {
            font-size: 0.9em;
            border: none;
            padding: 5px 8px;
            color: #555555;
        }

            .chart-nav ul li a:hover {
                border: none;
                text-decoration: none;
                background-color: #ececec;
                border-bottom: 1px solid #E1E1E1;
            }

        .chart-nav ul li.active a, .chart-nav ul li.active a:hover {
            background-color: #ececec;
            border-bottom: 1px solid #E1E1E1;
        }

.chart-content {
    margin-bottom: 15px;
}

#line-chart1 {
    height: 250px;
}

.flot-tooltip {
    border: 1px solid #ccc;
    background-color: rgba(255, 255, 255, 0.7);
    color: #aaa;
}

#flotTip, .jqstooltip {
    -webkit-border-radius: 0 !important;
    -moz-border-radius: 0 !important;
    -ms-border-radius: 0 !important;
    -o-border-radius: 0 !important;
    border-radius: 0 !important;
    background-color: #f3f3f3 !important;
    color: #555555 !important;
    border-color: silver !important;
}

.sales-chart,
.demo-flot-chart {
    width: 100%;
    height: 300px;
}

#visit-chart {
    height: 300px;
}

.widget.real-time-chart .widget-content {
    padding-right: 40px;
}

.widget.real-time-chart #demo-real-time-chart {
    font-size: 12px;
    padding-right: 40px;
}

@media screen and (max-width: 768px) {
    .widget.real-time-chart #demo-real-time-chart .flot-x-axis .flot-tick-label {
        display: none;
    }
}

.simple-label {
    font-size: 12px;
    color: #FFF;
    background: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 3px;
    min-width: 100px;
}

.donut-label {
    font-size: 12px;
    color: #FFF;
    background: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 3px;
}

.normal-label {
    font: italic bold 12px/20px Arial;
    color: #ffffff;
    background: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 3px 5px 2px 5px;
}

.badge-chart {
    font: italic bold 12px/20px Arial;
    color: #ffffff;
    background: rgba(0, 0, 0, 0.5);
    text-align: left;
    padding-right: 15px;
    padding-left: 14px;
}

.leg-label {
    font: italic bold 12px/20px Arial;
    display: inline;
    padding-right: 15px;
    padding-left: 5px;
}

.secondary-stat .secondary-stat-item {
    color: #fff;
    background-color: #aaa;
    padding: 5px 20px 0 20px;
}

    .secondary-stat .secondary-stat-item .data {
        float: left;
        margin-bottom: 0;
    }

    .secondary-stat .secondary-stat-item .inlinesparkline {
        display: -moz-inline-stack;
        display: inline-block;
        vertical-align: middle;
        *vertical-align: auto;
        zoom: 1;
        *display: inline;
        position: absolute;
        left: 15px;
        bottom: 0;
    }

.secondary-stat #secondary-stat-item1 {
    background-color: #3F7577;
}

.secondary-stat #secondary-stat-item2 {
    background-color: #67773F;
}

.secondary-stat #secondary-stat-item3 {
    background-color: #D36B19;
}

.jqstooltip {
    width: initial !important;
    height: initial !important;
}

.jqsfield {
    color: #555555 !important;
}

.widget-sparkline .sparkline-stat-item {
    padding: 8px 0;
    margin-bottom: 30px;
}

    .widget-sparkline .sparkline-stat-item strong {
        display: block;
        font-size: 1.5em;
        font-weight: 300;
    }

/* dashboard mini pie chart */
.panel-pie-chart .panel-body {
    text-align: center;
}

.panel-pie-chart ul {
    display: -moz-inline-stack;
    display: inline-block;
    vertical-align: middle;
    *vertical-align: auto;
    zoom: 1;
    *display: inline;
    margin-bottom: 0;
}

    .panel-pie-chart ul > li {
        text-align: center;
        font-size: 0.85em;
        padding-right: 24px;
        margin-bottom: 5px;
    }

/* big number with sparkline */
.big-number {
    font-family: "latolight";
    font-size: 3.5em;
}

.big-number-stat span {
    display: -moz-inline-stack;
    display: inline-block;
    vertical-align: middle;
    *vertical-align: auto;
    zoom: 1;
    *display: inline;
}

.big-number-stat em {
    display: block;
    font-style: normal;
}

.big-number-stat .col-left {
    float: left;
    margin-right: 10px;
    line-height: 1.8;
}

.big-number-stat .col-right {
    float: right;
    position: relative;
    top: 1.5em;
}

@media screen and (max-width: 480px) {
    .big-number-stat .col-right {
        float: none;
    }
}

@media screen and (max-width: 480px) {
    .big-number-stat span {
        display: block;
    }

    .big-number-stat .col-left {
        float: none;
    }

    .big-number-stat .col-right {
        top: 0;
        margin-bottom: 15px;
    }
}

/* interactive charts, choices toggle checkbox */
@media screen and (max-width: 992px) {
    .widget-chart-toggle-series #choices {
        margin-top: 30px;
    }

        .widget-chart-toggle-series #choices > div {
            display: -moz-inline-stack;
            display: inline-block;
            vertical-align: middle;
            *vertical-align: auto;
            zoom: 1;
            *display: inline;
        }
}

/* d3 heatmap */
#demo-d3-heatmap svg {
    max-width: 100%;
    max-height: 100%;
}

rect.bordered {
    stroke: #E6E6E6;
    stroke-width: 1px;
}

text.mono {
    font-size: 12px;
    fill: #aaa;
}

text.axis-workweek {
    fill: #000;
}

text.axis-worktime {
    fill: #000;
}

/* d3 barchart */
#demo-d3-barchart svg {
    max-width: 100%;
    max-height: 100%;
}

.bar.positive {
    fill: #1D92AF;
}

.bar.negative {
    fill: #BD0026;
}

.axis text {
    font-size: 10px;
}

.axis path,
.axis line {
    fill: none;
    stroke: #646464;
    shape-rendering: crispEdges;
}

.widget-content .default-chart {
    height: 500px;
    min-width: 310px;
    max-width: 1200px;
    margin: 0 auto;
    cursor: pointer;
}